You are not logged in.

#1 2013-01-05 14:12:21

MatejLach
Member
From: United Kingdom
Registered: 2011-06-22
Posts: 309
Website

ASN1 parser: Error in DER parsing [cannot use TLS at all]

Until a couple of days ago, I could use TLS normally, but now, when I am trying to use FTP over TLS in FileZilla, I get this:

Error:    GnuTLS error -69 in gnutls_x509_crt_get_dn: ASN1 parser: Error in DER parsing.
Error:    Could not get distinguished name of certificate subject, gnutls_x509_get_dn failed
Error:    Could not connect to server

And similarly, the certificate isn't accepted using gftp.
I also cannot seem to verify my certificate for my usenet provider and cannot use encrypted connection to usenet.

Any ideas?

P.S. The certificate is Ok, as I tested it on a Mac and FileZilla connects there flawlessly.


-
Everyone should read K&R C at least once in their lifetime.

Offline

#2 2013-01-12 22:27:56

Denhart
Member
Registered: 2013-01-12
Posts: 1

Re: ASN1 parser: Error in DER parsing [cannot use TLS at all]

I can confirm this problem. Have you found any solution? A possible workaround is to revert to old packages, but thats not an elegant solution and I haven't had the time to try it...

Offline

#3 2013-01-12 23:08:50

MatejLach
Member
From: United Kingdom
Registered: 2011-06-22
Posts: 309
Website

Re: ASN1 parser: Error in DER parsing [cannot use TLS at all]

Denhart wrote:

I can confirm this problem. Have you found any solution? A possible workaround is to revert to old packages, but thats not an elegant solution and I haven't had the time to try it...

I haven't found a solution yet, besides downgrading.
Hopefully this will be fixed soon.

Thanks for confirming this,


-
Everyone should read K&R C at least once in their lifetime.

Offline

#4 2013-04-04 16:58:02

ferda
Member
Registered: 2010-02-05
Posts: 67

Re: ASN1 parser: Error in DER parsing [cannot use TLS at all]

I have got the same problem, even though the same server with Filezilla Portable in wine works just fine.

Which packages did you downgrade and to what version? I tried some versions of Filezilla and gnutls but soon ran into depedency hell and gave up.

Offline

#5 2013-05-10 01:48:16

mæstro
Member
Registered: 2013-05-10
Posts: 1

Re: ASN1 parser: Error in DER parsing [cannot use TLS at all]

Yep, I've the same problem too after upgrading to newest FileZilla version which is 3.7.0 at the moment. In previously versions I didn't have any problems to connect with FTP.

Error message is the same like already posted by the way.

I hope there will be a solution provided soon, because downgrading isn't what makes me looking forward. If important, I've created my certificate by using StartCom

There is also a thread at FileZilla forums, but without any response yet: https://forum.filezilla-project.org/vie … =2&t=28295

Last edited by mæstro (2013-05-10 02:05:23)


Greetings.

Offline

Board footer

Powered by FluxBB